#!/bin/sh

# Define the paths to the SquashFS images
IMAGE="$1"

echo $IMAGE

# Define the mount points
MOUNTPOINT="./firmware"

# Create the mount points if they don't exist
mkdir -p $MOUNTPOINT

# Mount the SquashFS images
7z x -o$MOUNTPOINT $IMAGE

# Perform the diff and show only the differences
#diff --no-dereference -r $MOUNTPOINT

# Remove the mount points
#rm -rf $MOUNTPOINT
